%define with_debug 0
%define kdrive_builds_vesa 0
%define enable_xvnc 1

%define mesasrcdir %{_prefix}/src/Mesa
%define mesaver 7.0.1-11

%ifarch %{ix86} alpha
%define kdrive_builds_vesa 1
%endif

# Alternatives priority for standard libglx.so and mesa libs
%define priority 500

Name: x11-server
Version: 1.3.0.0
%define subrel 1
Release: %mkrel 25
Summary:  X11 servers
Group: System/X11
Source: http://xorg.freedesktop.org/releases/individual/xserver/xorg-server-%{version}.tar.bz2
Source1: xserver.pamd
# xvfb-run script and manpage from debian's xorg-server source package
Source2: xvfb-run
Source3: xvfb-run.man.pre
License: MIT
BuildRoot: %{_tmppath}/%{name}-root
Obsoletes: x11-server13 <= 1.2.99.905

BuildRequires: libdmx-devel >= 1.0.1
BuildRequires: libfontenc-devel >= 1.0.1
BuildRequires: libmesagl-devel >= %{mesaver}
BuildRequires: libxau-devel >= 1.0.0
BuildRequires: libxaw-devel >= 1.0.1
BuildRequires: libxdmcp-devel >= 1.0.0
BuildRequires: libxext-devel >= 1.0.0
BuildRequires: libxfont-devel >= 1.2.8-2mdv
BuildRequires: libxfixes-devel
BuildRequires: libxi-devel >= 1.0.0
BuildRequires: libxkbfile-devel >= 1.0.1
BuildRequires: libxau-devel >= 1.0.0
BuildRequires: libxkbui-devel >= 1.0.1
BuildRequires: libxmu-devel >= 1.0.0
BuildRequires: libxpm-devel >= 3.5.4.2
BuildRequires: libxrender-devel >= 0.9.0.2
BuildRequires: libxres-devel >= 1.0.0
BuildRequires: libxtst-devel >= 1.0.1
BuildRequires: libxxf86misc-devel >= 1.0.0
BuildRequires: libxxf86vm-devel >= 1.0.0
BuildRequires: libxfont-devel >= 1.0.0
BuildRequires: mesa-source >= %{mesaver}
BuildRequires: x11-proto-devel >= 1.0.3-2
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: x11-xtrans-devel >= 1.0.0
BuildRequires: libdmx-devel >= 1.0.1
BuildRequires: libpam-devel
BuildRequires: libgpm-devel
BuildRequires: SDL-devel
BuildRequires: libgii-devel
# for VNC:
BuildRequires: libjpeg-devel


# --------- Patches ----------------------------------------------------------
Patch3:  0003-Use-a-X-wrapper-that-uses-pam-and-consolehelper-to-give-X-root-privileges.txt
Patch4:  0004-Blue-background-on-startup.txt
Patch7:  0007-find-free-VT.txt
Patch10: 0010-Xephyr-evdev-support.txt 
Patch17: 0017-Fix-index-matching-of-visuals.txt 
Patch18: 0018-vnc-support.txt 
Patch32: 0032-no-move-damage.txt
Patch34: 0034-offscreen-pixmaps.txt
Patch37: 0037-fdo8991-xorg-server-1.1.99.901-glXDRIbindTexImage-target.txt
Patch38: 0038-fdo9367-libdrm-ignore-load-requests-fixes-fglrx.txt
Patch40: xorg-server-1.2.0-xvfb-run.patch
Patch42: x11-server-64bit_fixes.patch

Patch43: xorg-server-1.3.0.0-mesa-6.5.3.patch
Patch44: xorg-server-1.3.0.0-glinterface.patch
Patch45: xorg-server-1.3.0.0-glinterface2.patch
Patch46: xorg-server-fontpath_d-doc.patch
Patch47: xorg-server-cursor-and-randr-fixes.patch
# Some debug for patch49
Patch48: xorg-server-cursor-debug.patch
Patch49: x11-server-1.3.0-reput_video_fix.patch
Patch50: xorg-git-CVE-2007-4730.patch

# see bug #31183 for patch51 & patch52
Patch51: xorg-server-1.3.0.0-fix-parsing-edid.patch
Patch52: xorg-server-1.3.0.0-search-best-DPI-using-also-width.patch

# patch from Fedora that ensures backward compatibility with previous Xorg behaviour:
# prefered mode is the first Modes in Subsection "Display"
Patch54: xserver-1.3.0-randr12-config-hack.patch

# ------- Start of RandR1.2 fixes cherry-picked from xserver git tree ---------
# Description of what each patch is for can be seen inside the patch files
Patch100: 0100-Set-the-crtc-before-the-output-change-is-notified.patch
Patch101: 0101-Fix-the-output-crtc-initialization-in-the-old-randr.patch
Patch102: 0102-Fix-a-crash-when-rotating-the-screen.patch
Patch103: 0103-RRScanOldConfig-wasn-t-getting-crtcs-set-correctly.patch
Patch104: 0104-RRScanOldConfig-cannot-use-RRFirstOutput-before-outp.patch
Patch105: 0105-Allocate-the-right-number-of-entries-for-saving-cr.patch
Patch106: 0106-Decrement-mode-count-when-removing-RandR-output-mode.patch
Patch107: 0107-Make-PreferredMode-option-in-config-file-override-ED.patch
Patch108: 0108-Query-modes-on-disabled-but-not-ignored-outputs.patch
Patch109: 0109-Make-pending-property-changes-trigger-mode-setting.patch
Patch110: 0110-Screen-size-bounds-check-in-ProcRRSetCrtcConfig-not.patch
Patch111: 0111-Skip-driver-mode-detection-configuration-when-vtSem.patch
Patch112: 0112-Disable-all-outputs-and-crtcs-at-startup.patch
Patch113: 0113-Don-t-call-xf86RandR12TellChanged-if-it-doesn-t-exis.patch
Patch114: 0114-Adjust-the-screen-pixmap-s-dimensions-in-xf86RandR12.patch
Patch115: 0115-Include-xf86Rename.h-in-xf86RandR12.h.patch
Patch116: 0116-Use-Screen-block-handler-for-rotation-to-draw-under.patch
Patch117: 0117-Fix-mode-validation-against-the-maximum-X-Y-values-c.patch
Patch118: 0118-Fix-sync-polarity-on-Samsung-SyncMaster-205BW-monito.patch
Patch119: 0119-Bug-10814-Add-needed-quirk-for-Samsung-225BW-like.patch
Patch120: 0120-Add-RandR-reflection-support.patch
Patch121: 0121-MakeAtom-needs-length-without-trailing-NUL.-sizeof.patch
Patch122: 0122-Include-picturestr.h-in-xf86Crtc.h-to-pick-up-defini.patch
Patch123: 0123-Disable-RANDR-s-fake-Xinerama-protocol-when-there-s.patch
Patch124: 0124-NoMousekeysIfXAlreadyRunning.patch
Patch125: 0125-XOrgCfg-fixed-fonts-only.patch
Patch126: 0126-find_mesa_visual_offby_one_error_and_possibly_remote_gl_fix.patch
Patch127: 0127-24_32_pixmap_wmaker_kde_crash.patch

# [pix] fix deadloop occurring if preferred resolution (PreferredMode)
# matches more than one mode
Patch128: 0128-xorg-server-1.3.0.0-fix-deadloop-using-PreferredMode.patch

Patch130: xorg-x11-server-cve-2007-5760.patch
Patch131: xorg-x11-server-cve-2007-5958.patch
Patch132: xorg-x11-server-cve-2007-6427.patch
Patch133: xorg-x11-server-cve-2007-6428.patch
Patch134: xorg-x11-server-cve-2007-6429.patch
Patch135: x11-server-1.1.1-rh-CVE-2008-1377.patch
Patch136: x11-server-1.1.1-rh-CVE-2008-1379.patch
Patch137: x11-server-1.1.1-rh-CVE-2008-2360.patch
Patch138: x11-server-1.1.1-rh-CVE-2008-2361.patch
Patch139: x11-server-1.1.1-rh-CVE-2008-2362.patch

# -----------------------------------------------------------------------------

Requires: %{name}-xorg
Requires: %{name}-xdmx
Requires: %{name}-xnest
Requires: %{name}-xvfb

%description
X11 servers

#------------------------------------------------------------------------------

%package devel
Summary: Development files for %{name}
Group: Development/X11
License: MIT

%define oldxorgnamedevel  %mklibname xorg-x11
Conflicts: %{oldxorgnamedevel}-devel < 7.0
Obsoletes: x11-server13-devel <= 1.2.99.905

%description devel
Development files for %{name}

%pre devel
if [ -h %{_includedir}/X11 ]; then
	rm -f %{_includedir}/X11
fi

%files devel
%defattr(-,root,root)
%dir %{_includedir}/xorg
%dir %{_includedir}/X11/bitmaps
%dir %{_includedir}/X11/pixmaps
%{_includedir}/xorg/*.h
%{_includedir}/X11/bitmaps/*
%{_includedir}/X11/pixmaps/*
%{_libdir}/pkgconfig/xorg-server.pc
%{_datadir}/aclocal/xorg-server.m4

#------------------------------------------------------------------------------

%package common
Summary: X server common files
Group: System/X11
License: MIT
Provides: XFree86 = 7.0.0
Conflicts: xorg-x11 <= 6.9.0-12mdk
Obsoletes: x11-server13-common <= 1.2.99.905
Obsoletes: x11-server-xprt <= 1.3.0.0-2mdv2008.0
Requires: rgb
# for 'fixed' and 'cursor' fonts
Requires: x11-font-misc-misc
Requires: x11-font-cursor-misc
Requires: x11-font-alias
Requires(post): update-alternatives >= 1.9.0
Requires(postun): update-alternatives
# see comment about /usr/X11R6/lib below
Conflicts: filesystem < 2.1.8

# xorgcfg requires these
Requires: x11-data-bitmaps

%description common
X server common files

# old packages had a dir structure on /usr/X11R6/lib/ but starting on
# filesystem-2.1.8 these dirs where kept there but were not owned by any
# package.  It now should be a compat symlink to the new path: /usr/lib/X11,
# but there are scenarios where /usr/lib/X11 and /usr/X11R6/lib/X11 both
# exist as directories.
%pre common
if [ -L %{_libdir}/X11 ]; then 
	rm -f %{_libdir}/X11
fi
if [ -d /usr/X11R6/lib/X11 ]; then
	mkdir -p %{_libdir}/X11
	rm -f /usr/X11R6/lib/X11/fs # old symlink, already on the target dir
	mv -f /usr/X11R6/lib/X11/* %{_libdir}/X11/ 2> /dev/null
	rm -rf /usr/X11R6/lib/X11
fi

%post common
%{_sbindir}/update-alternatives \
	--install %{_sysconfdir}/ld.so.conf.d/GL.conf gl_conf %{_sysconfdir}/ld.so.conf.d/GL/standard.conf %{priority} \
	--slave %{_libdir}/xorg/modules/extensions/libglx.so libglx %{_libdir}/xorg/modules/extensions/standard/libglx.so

# (anssi)
%triggerun common -- %{name}-common < 1.3.0.0-17
[ $1 -eq 2 ] || exit 0 # do not run if downgrading
[ -L %{_libdir}/xorg/modules/extensions/libglx.so ] || rm -f %{_libdir}/xorg/modules/extensions/libglx.so
current_glconf="$(readlink -e %{_sysconfdir}/ld.so.conf.d/GL.conf)"
if [ "${current_glconf#*mesa}" == "gl1.conf" ]; then
	# This an upgrade of a system with no proprietary drivers enabled, update
	# the link to point to the new standard.conf instead of libmesagl1.conf (2008.0 change).
	# This also replaces old libglx.so with a symlink.
	%{_sbindir}/update-alternatives --set gl_conf %{_sysconfdir}/ld.so.conf.d/GL/standard.conf
else
	# XFdrake did not set symlink to manual mode before 2008.0, so we ensure it here.
	# This also replaces old libglx.so with a symlink.
	%{_sbindir}/update-alternatives --set gl_conf "${current_glconf}"
fi
true

%postun common
if [ ! -f %{_sysconfdir}/ld.so.conf.d/GL/standard.conf ]; then
	/usr/sbin/update-alternatives --remove gl_conf %{_sysconfdir}/ld.so.conf.d/GL/standard.conf
fi

%files common
%defattr(-,root,root)
%dir %{_libdir}/xorg/modules
%dir %{_libdir}/xserver
%dir %{_libdir}/X11
%dir %{_sysconfdir}/X11
%dir %{_sysconfdir}/X11/app-defaults
%dir %{_sysconfdir}/X11/fontpath.d
%dir %{_sysconfdir}/ld.so.conf.d/GL
%ghost %{_sysconfdir}/ld.so.conf.d/GL.conf
%{_sysconfdir}/ld.so.conf.d/GL/standard.conf
%{_bindir}/xorgcfg
%{_bindir}/xorgconfig
%{_bindir}/gtf
%{_bindir}/cvt
%{_bindir}/in*
%{_bindir}/ioport
%{_bindir}/out*
%{_bindir}/pcitweak
%{_bindir}/scanpci
%{_bindir}/vdltodmx
%{_libdir}/X11/Cards
%{_libdir}/X11/Options
%{_libdir}/xorg/modules/*
%ghost %{_libdir}/xorg/modules/extensions/libglx.so
%{_libdir}/xserver/SecurityPolicy
%{_datadir}/X11/xkb/README.compiled
%{_mandir}/man1/xorgcfg.*
%{_mandir}/man1/xorgconfig.*
%{_mandir}/man1/gtf.*
%{_mandir}/man1/cvt.*
%{_mandir}/man1/pcitweak.*
%{_mandir}/man1/scanpci.*
%{_mandir}/man1/vdltodmx.*
%{_mandir}/man4/fbdevhw.*
%{_mandir}/man4/exa.*
%dir %{_prefix}/X11R6
%dir %{_prefix}/X11R6/lib
%dir %{_prefix}/X11R6/lib/X11


#------------------------------------------------------------------------------

%package xorg
Summary: X.org X11 server
Group: System/X11
License: MIT
Requires: x11-server-common = %{version}-%{release}
Requires: x11-data-xkbdata >= 1.0.1 
Requires: x11-font-alias
Requires: libx11-common
Requires: x11-driver-input-mouse
Requires: x11-driver-input-keyboard
Conflicts: compiz < 0.5.0-1mdv2007.1
Obsoletes: x11-server13-xorg <= 1.2.99.905
#Obsoletes: xorg-x11-server < 7.0
#Provides: xorg-x11-server = 7.0

# because of fontpath.d support
Requires: libxfont >= 1.2.8-2mdv

%description xorg
x11-server-xorg is the new generation of X server from X.Org.

%files xorg
%defattr(-,root,root)
%{_bindir}/X
%{_bindir}/Xorg
%attr(4755,root,root)%{_bindir}/Xwrapper
%{_sysconfdir}/X11/X
%{_sysconfdir}/pam.d/xserver
%{_sysconfdir}/security/console.apps/xserver
%{_datadir}/X11/app-defaults/XOrgCfg
%{_mandir}/man1/Xorg.*
%{_mandir}/man1/Xserver.*
%{_mandir}/man5/xorg.conf.*

#------------------------------------------------------------------------------

%package xdmx
Summary: Distributed Multi-head X server
Group: System/X11
License: MIT
Requires: x11-server-common = %{version}-%{release}
#Obsoletes: xorg-x11-Xdmx < 7.0
#Provides: xorg-x11-Xdmx = 7.0

%description xdmx
Xdmx is a proxy X server that uses one or more other X servers
as its display devices. It provides multi-head X functionality
for displays that might be located on different machines.
Xdmx functions as a front-end X server that acts as a proxy
to a set of back-end X servers. All of the visible rendering is
passed to the back-end X servers. Clients connect to the Xdmx
front-end, and everything appears as it would in a regular
multi-head configuration. If Xinerama is enabled (e.g.,
with +xinerama on the command line), the clients see a single large screen.

Xdmx communicates to the back-end X servers using the standard X11 protocol,
and standard and/or commonly available X server extensions.

%files xdmx
%defattr(-,root,root)
%{_bindir}/Xdmx
%{_bindir}/xdmx*
%{_bindir}/dmx*
%{_mandir}/man1/Xdmx.*
%{_mandir}/man1/xdmxconfig.*
%{_mandir}/man1/dmxtodmx.*

#------------------------------------------------------------------------------

%package xnest
Summary: A nested X server
Group: System/X11
License: MIT
Requires: x11-server-common = %{version}-%{release}
#Obsoletes: xorg-x11-Xnest < 7.0
#Provides: xorg-x11-Xnest = 7.0

%description xnest
Xnest is an X Window System server which runs in an X window.
Xnest is a 'nested' window server, actually a client of the
real X server, which manages windows and graphics requests
for Xnest, while Xnest manages the windows and graphics
requests for its own clients.

You will need to install Xnest if you require an X server which
will run as a client of your real X server (perhaps for
testing purposes).

%files xnest
%defattr(-,root,root)
%{_bindir}/Xnest
%{_mandir}/man1/Xnest.*

#------------------------------------------------------------------------------

%package xvfb
Summary: X virtual framebuffer server
Group: System/X11
License: MIT
Requires: x11-server-common = %{version}-%{release}
Requires: xauth
#Obsoletes: xorg-x11-Xvfb < 7.0
#Provides: xorg-x11-Xvfb = 7.0

%description xvfb
Xvfb (X Virtual Frame Buffer) is an X Windows System server
that is capable of running on machines with no display hardware and no
physical input devices.  Xvfb emulates a dumb framebuffer using virtual
memory.  Xvfb doesn't open any devices, but behaves otherwise as an X
display.  Xvfb is normally used for testing servers.  Using Xvfb, the mfb
or cfb code for any depth can be exercised without using real hardware
that supports the desired depths.  Xvfb has also been used to test X
clients against unusual depths and screen configurations, to do batch
processing with Xvfb as a background rendering engine, to do load testing,
to help with porting an X server to a new platform, and to provide an
unobtrusive way of running applications which really don't need an X
server but insist on having one.

If you need to test your X server or your X clients, you may want to
install Xvfb for that purpose.

%files xvfb
%defattr(-,root,root)
%{_bindir}/Xvfb
%{_bindir}/xvfb-run
%{_mandir}/man1/Xvfb.*
%{_mandir}/man1/xvfb-run.*

#------------------------------------------------------------------------------

%if %enable_xvnc
%package xvnc
Summary: X VNC server
Group: System/X11
License: GPL
Requires: x11-server-common = %{version}-%{release}
#Obsoletes: xorg-x11-Xvnc < 7.0
#Provides: xorg-x11-Xvnc = 7.0

%description xvnc
Xvnc is a virtual X Windows System server like Xvfb, but it allows 
VNC clients access to the 'virtual' display it provides.

%files xvnc
%defattr(-,root,root)
%{_bindir}/Xvnc
#{_mandir}/man1/Xvnc.*

%endif
#------------------------------------------------------------------------------

%package xati
Summary: KDrive ati X server
Group: System/X11
License: MIT
Requires: x11-server-common = %{version}-%{release}

%description xati
KDrive (formerly known as TinyX) is a light-weight X server targetting specific
chipsets. It is recommended to be used on thin-clients and embedded systems.
If you are on a standard desktop system you might want to use x11-server-xorg
and the video driver corresponding to your video card.

This KDrive server is targetted for ATI chipsets.

%if %kdrive_builds_vesa
%files xati
%defattr(-,root,root)
%{_bindir}/Xati
%endif

#------------------------------------------------------------------------------

%package xchips
Summary: KDrive chips X server
Group: System/X11
License: MIT
Requires: x11-server-common = %{version}-%{release}

%description xchips
KDrive (formerly known as TinyX) is a light-weight X server targetting specific
chipsets. It is recommended to be used on thin-clients and embedded systems.
If you are on a standard desktop system you might want to use x11-server-xorg
and the video driver corresponding to your video card.

This KDrive server is targetted for Chips chipsets.

%if %kdrive_builds_vesa
%files xchips
%defattr(-,root,root)
%{_bindir}/Xchips
%endif

#------------------------------------------------------------------------------

%package xephyr
Summary: KDrive Xephyr X server
Group: System/X11
License: MIT
Requires: x11-server-common = %{version}-%{release}

%description xephyr
KDrive (formerly known as TinyX) is a light-weight X server targetting specific
chipsets. It is recommended to be used on thin-clients and embedded systems.
If you are on a standard desktop system you might want to use x11-server-xorg
and the video driver corresponding to your video card.

Xephyr is a X Server which targets a window on a host X Server
as its framebuffer. Unlike Xnest it supports modern X extensions ( even
if host server doesn't ) such as Composite, Damage, randr etc. It uses SHM
Images and shadow framebuffer updates to provide good performance. It also
has a visual debugging mode for observing screen updates.

Possible uses include; 
- Xnest replacement - Window manager, Composite 'gadget', etc development tool. 
- Toolkit debugging - rendundant toolkit paints can be observered easily via
  the debugging mode. 
- X Server internals development - develop without the need for an extra
  machine

%files xephyr
%defattr(-,root,root)
%{_bindir}/Xephyr

#------------------------------------------------------------------------------

%package xepson
Summary: KDrive epson X server
Group: System/X11
License: MIT
Requires: x11-server-common = %{version}-%{release}

%description xepson
KDrive (formerly known as TinyX) is a light-weight X server targetting specific
chipsets. It is recommended to be used on thin-clients and embedded systems.
If you are on a standard desktop system you might want to use x11-server-xorg
and the video driver corresponding to your video card.

This KDrive server is targetted for Epson chipsets.

%if %kdrive_builds_vesa
%files xepson
%defattr(-,root,root)
%{_bindir}/Xepson
%endif

#------------------------------------------------------------------------------
 
%package xfake
Summary: KDrive fake X server
Group: System/X11
License: MIT
Requires: x11-server-common = %{version}-%{release}

%description xfake
KDrive (formerly known as TinyX) is a light-weight X server targetting specific
chipsets. It is recommended to be used on thin-clients and embedded systems.
If you are on a standard desktop system you might want to use x11-server-xorg
and the video driver corresponding to your video card.

This KDrive server is targetted for testing purposes.

%files xfake
%defattr(-,root,root)
%{_bindir}/Xfake

#------------------------------------------------------------------------------
  
%package xfbdev
Summary: KDrive fbdev X server
Group: System/X11
License: MIT
Requires: x11-server-common = %{version}-%{release}

%description xfbdev
KDrive (formerly known as TinyX) is a light-weight X server targetting specific
chipsets. It is recommended to be used on thin-clients and embedded systems.
If you are on a standard desktop system you might want to use x11-server-xorg
and the video driver corresponding to your video card.

This KDrive server is targetted for being used on top of linux framebuffer.

%files xfbdev
%defattr(-,root,root)
%{_bindir}/Xfbdev

#------------------------------------------------------------------------------
 
%package xi810
Summary: KDrive i810 X server
Group: System/X11
License: MIT
Requires: x11-server-common = %{version}-%{release}

%description xi810
KDrive (formerly known as TinyX) is a light-weight X server targetting specific
chipsets. It is recommended to be used on thin-clients and embedded systems.
If you are on a standard desktop system you might want to use x11-server-xorg
and the video driver corresponding to your video card.

This KDrive server is targetted for Intel chipsets.

%if %kdrive_builds_vesa
%files xi810
%defattr(-,root,root)
%{_bindir}/Xi810
%endif

#------------------------------------------------------------------------------
 
%package xmach64
Summary: KDrive mach64 X server
Group: System/X11
License: MIT
Requires: x11-server-common = %{version}-%{release}

%description xmach64
KDrive (formerly known as TinyX) is a light-weight X server targetting specific
chipsets. It is recommended to be used on thin-clients and embedded systems.
If you are on a standard desktop system you might want to use x11-server-xorg
and the video driver corresponding to your video card.

This KDrive server is targetted for mach64 chipsets.

%if %kdrive_builds_vesa
%files xmach64
%defattr(-,root,root)
%{_bindir}/Xmach64
%endif

#------------------------------------------------------------------------------
 
%package xmga
Summary: KDrive mga X server
Group: System/X11
License: MIT
Requires: x11-server-common = %{version}-%{release}

%description xmga
KDrive (formerly known as TinyX) is a light-weight X server targetting specific
chipsets. It is recommended to be used on thin-clients and embedded systems.
If you are on a standard desktop system you might want to use x11-server-xorg
and the video driver corresponding to your video card.

This KDrive server is targetted for mga chipsets.

%if %kdrive_builds_vesa
%files xmga
%defattr(-,root,root)
%{_bindir}/Xmga
%endif

#------------------------------------------------------------------------------
 
%package xneomagic
Summary: KDrive neomagic X server
Group: System/X11
License: MIT
Requires: x11-server-common = %{version}-%{release}

%description xneomagic
KDrive (formerly known as TinyX) is a light-weight X server targetting specific
chipsets. It is recommended to be used on thin-clients and embedded systems.
If you are on a standard desktop system you might want to use x11-server-xorg
and the video driver corresponding to your video card.

This KDrive server is targetted for neomagic chipsets.

%if %kdrive_builds_vesa
%files xneomagic
%defattr(-,root,root)
%{_bindir}/Xneomagic
%endif

#------------------------------------------------------------------------------
 
%package xnvidia
Summary: KDrive nvidia X server
Group: System/X11
License: MIT
Requires: x11-server-common = %{version}-%{release}

%description xnvidia
KDrive (formerly known as TinyX) is a light-weight X server targetting specific
chipsets. It is recommended to be used on thin-clients and embedded systems.
If you are on a standard desktop system you might want to use x11-server-xorg
and the video driver corresponding to your video card.

This KDrive server is targetted for nvidia chipsets.

%if %kdrive_builds_vesa
%files xnvidia
%defattr(-,root,root)
%{_bindir}/Xnvidia
%endif

#------------------------------------------------------------------------------
 
%package xpm2
Summary: KDrive pm2 X server
Group: System/X11
License: MIT
Requires: x11-server-common = %{version}-%{release}

%description xpm2
KDrive (formerly known as TinyX) is a light-weight X server targetting specific
chipsets. It is recommended to be used on thin-clients and embedded systems.
If you are on a standard desktop system you might want to use x11-server-xorg
and the video driver corresponding to your video card.

This KDrive server is targetted for Permedia2 chipsets.

%if %kdrive_builds_vesa
%files xpm2
%defattr(-,root,root)
%{_bindir}/Xpm2
%endif

#------------------------------------------------------------------------------
 
%package xr128
Summary: KDrive r128 X server
Group: System/X11
License: MIT
Requires: x11-server-common = %{version}-%{release}

%description xr128
KDrive (formerly known as TinyX) is a light-weight X server targetting specific
chipsets. It is recommended to be used on thin-clients and embedded systems.
If you are on a standard desktop system you might want to use x11-server-xorg
and the video driver corresponding to your video card.

This KDrive server is targetted for rage128 chipsets.

%if %kdrive_builds_vesa
%files xr128
%defattr(-,root,root)
%{_bindir}/Xr128
%endif

#------------------------------------------------------------------------------
 
%package xsdl
Summary: KDrive sdl X server
Group: System/X11
License: MIT
Requires: x11-server-common = %{version}-%{release}

%description xsdl
KDrive (formerly known as TinyX) is a light-weight X server targetting specific
chipsets. It is recommended to be used on thin-clients and embedded systems.
If you are on a standard desktop system you might want to use x11-server-xorg
and the video driver corresponding to your video card.

This KDriver server runs on top of the Simple DirectMedia Layer.

%files xsdl
%defattr(-,root,root)
%{_bindir}/Xsdl

#------------------------------------------------------------------------------
 
%package xsmi
Summary: KDrive smi X server
Group: System/X11
License: MIT
Requires: x11-server-common = %{version}-%{release}

%description xsmi
KDrive (formerly known as TinyX) is a light-weight X server targetting specific
chipsets. It is recommended to be used on thin-clients and embedded systems.
If you are on a standard desktop system you might want to use x11-server-xorg
and the video driver corresponding to your video card.

This KDrive server is targetted for Silicon Motion chipsets.

%if %kdrive_builds_vesa
%files xsmi
%defattr(-,root,root)
%{_bindir}/Xsmi
%endif

#------------------------------------------------------------------------------
 
%package xvesa
Summary: KDrive vesa X server
Group: System/X11
License: MIT
Requires: x11-server-common = %{version}-%{release}

%description xvesa
KDrive (formerly known as TinyX) is a light-weight X server targetting specific
chipsets. It is recommended to be used on thin-clients and embedded systems.
If you are on a standard desktop system you might want to use x11-server-xorg
and the video driver corresponding to your video card.

This KDrive server is targetted for VESA capable chipsets.

%if %kdrive_builds_vesa
%files xvesa
%defattr(-,root,root)
%{_bindir}/Xvesa
%endif

#------------------------------------------------------------------------------
 
%package xvia
Summary: KDrive via X server
Group: System/X11
License: MIT
Requires: x11-server-common = %{version}-%{release}

%description xvia
KDrive (formerly known as TinyX) is a light-weight X server targetting specific
chipsets. It is recommended to be used on thin-clients and embedded systems.
If you are on a standard desktop system you might want to use x11-server-xorg
and the video driver corresponding to your video card.

This KDrive server is targetted for VIA chipsets.

%if %kdrive_builds_vesa
%files xvia
%defattr(-,root,root)
%{_bindir}/Xvia
%endif

#------------------------------------------------------------------------------

%prep
%setup -q -n xorg-server-%{version}

# xvfb-run
cp %{SOURCE2} %{SOURCE3} hw/vfb/

#patches
%patch43 -p2 -b .mesa653
%patch44 -p1 -b .glinterface
%patch45 -p0 -b .glinterface2

%patch3  -p1 -b .xwrapper
%patch4  -p1 -b .blue_bg
%patch7  -p1 -b .vt7
%patch10 -p1 -b .evdev
%patch17 -p1 -b .visual_index_matching
%if %enable_xvnc
%patch18 -p0 -b .vnc
%endif
%patch32 -p0 -b .no_move_damage
%patch34 -p0 -b .offscreen_pixmaps
%patch37 -p1 -b .glxdribindteximage
%patch38 -p0 -b .libdrm_fix
%patch40 -p1 -b .xvfb
%patch42 -p1 -b .64bit_fixes
%patch46 -p1 -b .fontpath_d
%patch47 -p1 -b .cursor_crash
%if %{with_debug}
%patch48 -p1 -b .cursor_crash_debug
%endif
%patch49 -p1 -b .reput_video

%patch51 -p1 -b .parse_edid
%patch52 -p1 -b .best_with_width
%patch54 -p1 -b .prefer_Modes

# randr1.2 fixes
%patch100 -p1 -b .set_crtc
%patch101 -p1 -b .fix_crtc_old_randr
%patch102 -p1 -b .crash_on_rotate
%patch103 -p1 -b .fix_rrscanoldconfig
%patch104 -p1 -b .do_not_use_rrfirstoutput
%patch105 -p1 -b .fix_memory_corruption
%patch106 -p1 -b .decrement_mode_count
%patch107 -p1 -b .preferred_mode
%patch108 -p1 -b .query_modes_on_disabled
%patch109 -p1 -b .pending_property
%patch110 -p1 -b .screen_bounds_check
%patch111 -p1 -b .skip_when_vtsema
%patch112 -p1 -b .disable_at_startup
%patch113 -p1 -b .fix_xf86randr12tellchanged_call
%patch114 -p1 -b .pixmap_dimensions
%patch115 -p1 -b .xf86rename_include
%patch116 -p1 -b .block_handler
%patch117 -p1 -b .validate_maximum
%patch118 -p1 -b .syncmaster_205bw_polarity
%patch119 -p1 -b .syncmaster_225bw_quirk
%patch120 -p1 -b .randr_reflection
%patch121 -p1 -b .atom_lenght
%patch122 -p1 -b .include_picturestr
%patch123 -p1 -b .disable_randr_on_multiple_screens
%patch124 -p1 -b .no_mouse_keys
%patch125 -p1 -b .only_fixed_fonts
%patch126 -p1 -b .find_mesa_visual_offby_one_error_and_possibly_remote_gl_fix
%patch127 -p1 -b .pixmap_wmaker_kde_crash
%patch128 -p1 -b .deadloop
%patch130 -p1 -b .cve-2007-5760
%patch131 -p1 -b .cve-2007-5958
%patch132 -p1 -b .cve-2007-6427
%patch133 -p1 -b .cve-2007-6428
%patch134 -p1 -b .cve-2007-6429
%patch135 -p1 -b .cve-2008-1377
%patch136 -p1 -b .cve-2008-1379
%patch137 -p1 -b .cve-2008-2360
%patch138 -p1 -b .cve-2008-2361
%patch139 -p1 -b .cve-2008-2362


%build
autoreconf -ifs
%if %{with_debug}
CFLAGS='-DBUILDDEBUG -g' \
%endif
%configure --with-log-dir=%{_logdir} \
		--with-os-vendor="Mandriva" \
		--with-os-name="`echo \`uname -s -r\` | sed -e s'/ /_/g'`" \
		%if %{with_debug}
  		--enable-debug \
		%else
		--disable-debug \
		%endif
 		--enable-builddocs \
  		--disable-install-libxf86config \
  		--enable-composite \
  		--enable-shm \
  		--enable-xres \
  		--enable-xtrap \
  		--enable-record \
  		--enable-xv \
  		--enable-xvmc \
  		--enable-dga \
  		--enable-screensaver \
  		--enable-xdmcp \
  		--enable-xdm-auth-1 \
  		--enable-glx \
  		--enable-aiglx \
  		--enable-glx-tls \
  		--enable-dri \
		--with-mesa-source=%{mesasrcdir} \
  		--enable-xinerama \
  		--enable-xf86vidmode \
  		--enable-xf86misc \
		--enable-xace \
  		--enable-xcsecurity \
		--enable-xevie \
  		--enable-appgroup \
  		--enable-cup \
  		--enable-evi \
  		--enable-xf86bigfont \
  		--enable-dpms \
  		--enable-xinput \
		--disable-xcalibrate \
		--disable-tslib \
  		--enable-multibuffer \
  		--enable-fontcache \
  		--enable-dbe \
		--enable-xfree86-utils \
  		--enable-xorg \
		%if %enable_xvnc
  		--enable-xorg-vnc \
  		--enable-xvnc \
  		--disable-xdmx-vnc \
		%endif
  		--enable-dmx \
  		--enable-xvfb \
  		--enable-xnest \
  		--disable-xwin \
  		--disable-xprint \
  		--disable-xgl \
  		--disable-xglx \
  		--disable-xegl \
  		--enable-kdrive \
  		--enable-xephyr \
  		--enable-xsdl \
		--disable-freetype \
  		--disable-install-setuid \
 		--enable-secure-rpc \
  		--enable-xorgcfg \
  		--enable-kbd_mode \
		--enable-xwrapper \
		--enable-pam \
		--with-fontdir="%{_datadir}/fonts" \
		--with-default-font-path="catalogue:%{_sysconfdir}/X11/fontpath.d"
%make

%install
rm -rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}%{_sysconfdir}/X11/
ln -s %{_bindir}/Xorg %{buildroot}%{_sysconfdir}/X11/X
ln -sf %{_bindir}/Xwrapper %{buildroot}%{_bindir}/X

mkdir -p %{buildroot}%{_sysconfdir}/pam.d
install -m 0644 %{_sourcedir}/xserver.pamd %{buildroot}%{_sysconfdir}/pam.d/xserver     
mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps
touch %{buildroot}%{_sysconfdir}/security/console.apps/xserver

mkdir -p %{buildroot}%{_sysconfdir}/X11/app-defaults
mkdir -p %{buildroot}%{_sysconfdir}/X11/fontpath.d

# move README.compiled outside compiled/ dir, so there won't be any problem with x11-data-xkbdata
mv -f %{buildroot}%{_datadir}/X11/xkb/compiled/README.compiled %{buildroot}%{_datadir}/X11/xkb/

# for compatibility with legacy applications (see #23423, for example)
mkdir -p %{buildroot}%{_prefix}/X11R6/lib/
ln -s ../../%{_lib}/X11 %{buildroot}%{_prefix}/X11R6/lib/X11

# create more module directories to be owned by x11-server-common
install -d -m755 %{buildroot}%{_libdir}/xorg/modules/{input,drivers}

# (anssi) manage proprietary drivers
install -d -m755 %{buildroot}%{_sysconfdir}/ld.so.conf.d/GL
cat > %{buildroot}%{_sysconfdir}/ld.so.conf.d/GL/standard.conf << EOF
# This file is knowingly empty since the libraries are in standard search
# path. Please do not remove this file.
EOF
touch %{buildroot}%{_sysconfdir}/ld.so.conf.d/GL.conf
install -d -m755 %{buildroot}%{_libdir}/xorg/modules/extensions/standard
mv %{buildroot}%{_libdir}/xorg/modules/extensions/libglx.so \
	%{buildroot}%{_libdir}/xorg/modules/extensions/standard/libglx.so
touch %{buildroot}%{_libdir}/xorg/modules/extensions/libglx.so

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)




%changelog
* Thu Aug 7 2008 Vincent Danen <vdanen@mandriva.com> 1.3.0.0-25.1mdv2008.0
- Compile against mesa 7.0.1 with fix for X server crash. (bug #33630) (ander)
- use 25.1 for the release; ander submitted 25mdv for updates but neglected to
  include the previous 10 security fixes

* Sat Jun 14 2008 Vincent Danen <vdanen@mandriva.com> 1.3.0.0-24.2mdv2008.0
- P135: security fix for CVE-2008-1377
- P136: security fix for CVE-2008-1379
- P137: security fix for CVE-2008-2360
- P138: security fix for CVE-2008-2361
- P139: security fix for CVE-2008-2362

* Tue Jan 22 2008 Vincent Danen <vdanen@mandriva.com> 1.3.0.0-24.1mdv2008.0
- P130: security fix for CVE-2007-5760
- P131: security fix for CVE-2007-5958
- P132: security fix for CVE-2007-6427
- P133: security fix for CVE-2007-6428
- P134: security fix for CVE-2007-6429

* Mon Oct 01 2007 Pixel <pixel@mandriva.com> 1.3.0.0-24mdv2008.0
+ Revision: 94119
- remake pcpa's patch to avoid an infinite list, simply taking first matching mode

* Sat Sep 29 2007 Paulo Andrade <pcpa@mandriva.com.br> 1.3.0.0-23mdv2008.0
+ Revision: 93811
- Remake Pixel's patch to avoid an infinite loop, but instead of trying to handle
  duplicate modes, just use the first on the list.
  This fix several problems in intel based cards, and doesn't require any changes
  to xorg.conf, and allow using the PreferredMode option, that is an alternative
  to Patch54: xserver-1.3.0-randr12-config-hack.patch. But this change should make
  it possible to keep using Patch54 without any problems.

* Tue Sep 25 2007 Pixel <pixel@mandriva.com> 1.3.0.0-22mdv2008.0
+ Revision: 92850
- add patch from Fedora that ensures backward compatibility with previous Xorg
  behaviour: prefered mode is the first Modes in Subsection "Display"
- fix deadloop occurring if preferred resolution matches more than one mode

* Fri Sep 21 2007 Pixel <pixel@mandriva.com> 1.3.0.0-21mdv2008.0
+ Revision: 91759
- drop patch128 ("Possible fix for bugzilla #31183"),
  otherwise it crashes on at least ati, openchrome, vesa, fglrx

* Thu Sep 20 2007 Pixel <pixel@mandriva.com> 1.3.0.0-20mdv2008.0
+ Revision: 91573
- fix parsing weird EDID (fixes intel driver defaulting to smallest resolution) (#31183)
- take into account screen width when looking for prefered resolution instead of
  only using screen height (helps choosing 1024x768 instead of the weird 1152x768)

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Don't compile unoptmized and with debug code by default.
    - Possible fix for bugzilla #31183, that should not interfere, and work with
      other drivers that may have the same problem

* Mon Sep 17 2007 Paulo Andrade <pcpa@mandriva.com.br> 1.3.0.0-19mdv2008.0
+ Revision: 89337
- Fix last patch that broke build. Use underline character to replace space in
  string of build operating system and fix double quotes.
- Better description in /var/log/Xorg.X.log than:
  Build Operating System: UNKNOWN
- Until Xorg Bugzilla #12414 receives any response, this patch fixes the problem
  with a hack that tries to make sure CreatePixmap is allways properly wrapped,
  i.e. all extensions know about it.
- Fix what appears to be a serious off by one bug. After this patch opengl apps
  works under Xnest (but very slowly), so it should also fix the bug of remote GL
  apps crashing the Xserver (Bugzilla #27397). It is clearly poorly checked code,
  as it was even checking if an unsigned variable is greater than or equal to 0.
- Modify XOrgCfg resources file to only require fixed fonts.
  For the moment still requiring x11-data-bitmaps, but those can be removed if it
  is undesirable to install that package also.
- Add requires to xorgcfg so that missing bitmaps and/or fonts should
  not cause problems.
- Fixes bug #31211 by not starting/enabling MouseKeys support (neither showing the
  dialog with help screen). Maybe a better fix would be to still show the help
  screen, but instead of enabling it, tell the user how to enable/disable (i.e.
  pressing Shift+Num_Lock).

  + Ademar de Souza Reis Jr <ademar@mandriva.com.br>
    - add security fix for CVE-2007-4730 (xorg-git-CVE-2007-4730.patch)
      Closes: #33479
    - remove 0033-dont-backfill-bg-none patch, which is incompatible with the
      fix for CVE-2007-4730 (there's no history for this patch, but odds are
      it's a workaround for the very same problem fixed as a security problem.
      Anyway, the code in question was reviewed and tested as part of the
      security audit, so our guess is that our old patch is unecessary).

  + Anssi Hannula <anssi@mandriva.org>
    - own /usr/lib(64)/xorg/modules/input,drivers

* Sun Aug 26 2007 Anssi Hannula <anssi@mandriva.org> 1.3.0.0-17mdv2008.0
+ Revision: 71692
- use alternatives for libglx.so

* Tue Aug 21 2007 Colin Guthrie <cguthrie@mandriva.org> 1.3.0.0-16mdv2008.0
+ Revision: 68152
- Rediff Xvnc patch from xserver 1.2 and reenable (#32578)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix man pages extension

* Mon Aug 13 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.3.0.0-15mdv2008.0
+ Revision: 62706
- do not crash on VT switching when the Xv adaptor is active (#32328)

* Fri Aug 10 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.3.0.0-14mdv2008.0
+ Revision: 61432
- Backported many randr 1.2 fixes and additions from xserver git
- Removed the multiple randr 1.2 fixes patch and re-add the fixes
  as git-cherry-picked patches

* Fri Aug 03 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.3.0.0-13mdv2008.0
+ Revision: 58655
- Fix the patch, which was wrongly regenerated including changes from Paulo's
  patch
- Remove obsolete randr1.2 patches
- Add two new patches that fixes the problem and eliminates the side-effects
  previously seen (crashes)

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Fix crash with VT switch and access of unalocated cursor memory

* Tue Jul 31 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.3.0.0-12mdv2008.0
+ Revision: 57097
- Disable the randr1.2 fixes for now, as they cause a undesirable side-effect
  which still should have to be figured out

* Tue Jul 24 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.3.0.0-11mdv2008.0
+ Revision: 55078
- Fix the output->crtc initialization in the old randr setup

* Mon Jul 23 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.3.0.0-10mdv2008.0
+ Revision: 54868
- Fix the randr output change notifying problem in another way (as suggested by
  Keith Packard)
- Remove manpage extensions
- Fix randr1.2 output changing notification

* Thu Jul 05 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.3.0.0-9mdv2008.0
+ Revision: 48627
- change default fontpath to fontpath.d, xfs is now
  deprecated.
  (there are some fonts which are not included in
  fontpath.d yet, see #31756)

* Thu Jul 05 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.3.0.0-8mdv2008.0
+ Revision: 48312
- proper cleanup/fix for handling of the legacy X11R6 directory.
  There are scenarios where both /usr/X11R6/lib/X11 and
  /usr/lib/X11 exist. Since the legacy files/dirs were owned by an
  ancient version of the filesystem package, we don't need a
  trigger, all we need is a %%post with the necessary changes and a
  conflict. Fix: #23423 and #31737

* Mon Jul 02 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.3.0.0-7mdv2008.0
+ Revision: 47202
- Add legacy X11R6 directory structure to x11-server-common
  (still needed by some closed-source applications)
- Require filesystem >= 2.1.8 (when the X11R6 directory structure
  was changed)

* Fri Jun 22 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.3.0.0-6mdv2008.0
+ Revision: 43202
- added patch that documents fontpath.d support

* Fri Jun 15 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.3.0.0-5mdv2008.0
+ Revision: 40081
- improve autotools calls, fixing build on x86_64
  which was b0rken after the latest autoconf update.
- add dirs /etc/X11 and /etc/X11/app-defaults to
  x11-server-common

* Fri Jun 08 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.3.0.0-4mdv2008.0
+ Revision: 37587
- Rebuild with libslang2.

* Tue May 22 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.3.0.0-3mdv2008.0
+ Revision: 29855
- disable xprint server support. It was never functional before and
  is not much useful nowadays anyway. User's can still play with it by
  downloading functional packages from the project website.

* Fri May 04 2007 Colin Guthrie <cguthrie@mandriva.org> 1.3.0.0-2mdv2008.0
+ Revision: 22447
- Add hard build requirement for Mesa 6.5.3
- Apply patches to work with Mesa 6.5.3.

* Fri Apr 20 2007 Colin Guthrie <cguthrie@mandriva.org> 1.3.0.0-1mdv2008.0
+ Revision: 15618
- New Release 1.3.0.0
- Obsolete latest x11-server13 package

* Thu Apr 19 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.2.99.905-1mdv2008.0
+ Revision: 15184
- new upstream RC release: 1.2.99.905 (1.3 RC4)
  The main highlight is the RandR 1.2 support (that was being experimentally
  used in the x11-server13 package).
- Obsoleted some patches that were either not needed or applied upstream
- The vnc patch is broken again. Disable support by now.

* Thu Apr 19 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.2.0-10mdv2008.0
+ Revision: 14961
- Fixed a crash of the server when setting a pixmap for the root window and
  later trying to restore the defaults. Thanks Frederic Crozat for the report.


* Sat Apr 07 2007 Olivier Blin <oblin@mandriva.com> 1.2.0-9mdv2007.1
+ Revision: 151023
- remove useless _COMPIZ_GL_INCLUDE_INFERIORS hack since cow is enabled by default in compiz nowadays

* Tue Mar 27 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.2.0-8mdv2007.1
+ Revision: 148993
- Fix another x86_64 crash of Xephyr (reported on #27559)

* Thu Mar 22 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.2.0-7mdv2007.1
+ Revision: 147911
- Fix a crash of XEphyr on x86_64 (#27559)
- x11-server-devel doesn't really need x11-server (#22616)

  + Christiaan Welvaart <spturtle@mandriva.org>
    - add xvfb-run script to x11-server-xvfb package

* Fri Mar 02 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.2.0-5mdv2007.1
+ Revision: 131160
- Fix the blue background patch. As we are setting a color for the background
  instead of a tile, we should add this to the properties.

* Thu Mar 01 2007 Colin Guthrie <cguthrie@mandriva.org> 1.2.0-4mdv2007.1
+ Revision: 130248
- Rebuild against libxrandr 1.2

* Tue Feb 27 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.2.0-3mdv2007.1
+ Revision: 126718
- make the randr extension report only the version it really supports

  + Gwenole Beauchesne <gbeauchesne@mandriva.com>
    - fix buildrequires (mesa-source >= 6.5.1 / arrayobj.c)

* Tue Jan 23 2007 Colin Guthrie <cguthrie@mandriva.org> 1.2.0-1mdv2007.1
+ Revision: 112290
- Drop upstream applied patches
- New release: 1.2.0

* Thu Jan 18 2007 Colin Guthrie <cguthrie@mandriva.org> 1.1.99.903-2mdv2007.1
+ Revision: 110117
- Rediff VNC patch + Fixes from Stefan Dirsch @ SuSE
- Try to fix #28271

* Wed Jan 10 2007 Colin Guthrie <cguthrie@mandriva.org> 1.1.99.903-1mdv2007.1
+ Revision: 107243
- Add ugly work around to ignore requests to load drm module until new fglrx driver is released.
- Add patches to fix various compositing issues with compiz/beryl etc.
- Update patches for new version
- Remove patches merged upstream
- Adjust file lists for new version
- Quick and dirty hack to remove Xsession.d file for now
- Update to 1.1.99.903 (Xorg 7.2 RC3)

* Mon Nov 06 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.1.1-14mdv2007.0
+ Revision: 76965
- Imported the vnc patch into the mandriva git tree
- Added a patch fixing crashed when closing laptop lid (#26997)
- Added a patch that fixes the index matching of the two arrays of visuals
  (this fixes some crashes on SiS and Via chipsets)
- Backported some fixes from the upstream git repository:
   * Adds support for Xephyr to simulate 8bit grayscale
   * Really disable composite in Xprt (as it doesn't support it)
   * Fix some BadLenght errors in Xdmx render implementation
   * Fix the Linux ACPI reopen code to use a repeating timer instead of a
     sleep and retry.
   * Fix a RandR screen size problem when rotating fails.
   * Fix a segfault on broken Xinerama configs
   * Some x86_64 fixes
   * Handle scaled identity matrix in SetPictureTransform
   * Added some missing defines for Xdmx to work right
   * Check if the visual is null in Xdmx to prevent crashes

  + Christiaan Welvaart <spturtle@mandriva.org>
    - bump release
    - fix build problems with vnc patch
    - add BuildRequires: libjpeg-devel
    - patch0: add vnc module and Xvnc
    - VNC support, adapted from http://xf4vnc.sourceforge.net/ CVS

* Mon Sep 18 2006 Olivier Blin <oblin@mandriva.com> 1.1.1-11mdv2007.0
+ Revision: 61806
- rebuild for _mesa_update_draw_buffer_bounds fix (#25555)

  + Pixel <pixel@mandriva.com>
    - adapt background color (as requested by our graphic team)

* Fri Sep 01 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.1.1-10mdv2007.0
+ Revision: 58982
- Added a patch to use autoconf to get the correct name of a struct member.
  This allows removing the kernel version ifdefs from the code. It also fixes
  compilation on sparc.

* Wed Aug 30 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.1.1-9mdv2007.0
+ Revision: 58694
- Xorg needs core input devices (#23062)
- applied patches 0014 and 0015 in the git repository, and reformatted them

* Tue Aug 29 2006 Olivier Blin <oblin@mandriva.com> 1.1.1-8mdv2007.0
+ Revision: 58506
- fix freeze on VT switch when using AIGLX (#24559) using temporary patch from https://bugs.freedesktop.org/show_bug.cgi?id=7916

* Fri Aug 25 2006 Olivier Blin <oblin@mandriva.com> 1.1.1-7mdv2007.0
+ Revision: 57943
- bump release
- add XkbGetKeyboard (thanks to Pixel for the debugging, #24612)

  + Antonio Hobmeir Neto <neto@mandriva.com>
    - x11-server-xorg needs x11-font-alias (#22695)

* Thu Aug 17 2006 Pixel <pixel@mandriva.com> 1.1.1-5mdv2007.0
+ Revision: 56470
- (minor) remove old source
- fix default font path (nb: /usr/share/fonts is not valid, /usr/share/fonts/misc is)

* Sat Aug 05 2006 Helio Chissini de Castro <helio@mandriva.com> 1.1.1-4mdv2007.0
+ Revision: 52766
- Directories are comma separated
- Fixed correct new font path. Before the change, server was tied to one
  specific hardcoded directory %%_libdir/X11/fonts, but fonts are located on /usr/lib/X11/fonts
  so that's explain why fixing XFS for x86_64 isn't work for all X applications.
  Now the standard font dir is /usr/share/fonts, but X will look for old paths
  too, for legacy reasons, including the non 64 versionated lib/X11.

* Sat Jul 22 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.1.1-2mdv2007.0
+ Revision: 41875
- readd damage tracking support for tfp in AIGLX
- add support for mesa to copy subbuffers when subtexturing

* Thu Jul 13 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.1.1-1mdv2007.0
+ Revision: 41027
- new upstream release (1.1.1):
    * Delete a (now misleading) message from the crash handler.
    * Switch the default mouse device on Linux to /dev/input/mice.
    * PPC64 build fix.
    * Generate xprint.pre from xprint.cpp.
    * Remove hardcoded 'lib' in XPRINTDIR.
    * Fix MMX Saturate implementation.
    * Freedesktop Bug #7366: Fix two crashes in operations on source pictures.
    * Freedesktop Bug #7366: Fix crashes when setting filters on source pictures.
    * Fix bugs in support for new repeatTypes in XAA and EXA.
    * Correct AGP memory deallocation argument on *BSD.
    * Move EXA_PM_IS_SOLID() to the public API, since drivers will want it frequently.
    * Correct component ordering when fetching [ax]4b4g4r4 pixels.
    * Fix crash when using PICT_x4a4 by supplying an appropriate fbFetchPixel_x4a4.
    * Freedesktop Bugzilla #5120, #7246: In CW's GC ops, validate the backing GC against the
    * Don't try to dist the .cvsignore files.
    * Bump package version to 1.1.1 for release, and vendor release to 7.1.1.0.
    * Pull over convolution filter fixes from xgl-0-0-1 branch.
    * Freedesktop bug #2488 for fb too: sample pixel center when transforming.
    * Check setuid() return value. Freedesktop Bugzilla #7116.
    * Fix byte swapping in some GLX requests.
    * Freedesktop Bug #7213: Fix the XFree86-DRI extension for byte-swapped clients.
- Removed convolution filter patches: applied upstream
- Removed check setuid return patches: applied upstream

* Sat Jul 08 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.1.0-11mdv2007.0
+ Revision: 38481
- Enable DPMS (by fixing the configure script)

* Tue Jul 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.1.0-10mdv2007.0
+ Revision: 38323
- Removed the FIXME lines. All fixed.
- Added a patch providing evdev support for the Xephyr kdrive server. It is used
  for multihead/multiseat solutions
- removed the patch for damage support in tfp (it is not working fine yet)
- added a patch fixing the software fallback convolution filter
  (fix the shadows when using compiz for example)
- added a patch checking the return value of setuid
- Use git to manage xorg patches
- Added patches fixing AIGLX (documentation for each patch is inside the patch
  file).
    * GL include inferiors
    * AIGLX tfp damage tracking
- Added patches optimizing the PCI scanning process
  (backported from development tree)
- removed old unused patch (Xorg-6.7.0-isolate_device)
- rebuild to fix x86_64 compilation
- added patch: try to find an empty VT to start the X server
- removed old tarball
- fixed patch for lbx symbols. The buildorder was wrong
- added a patch fixing some missing lbx linking options when compiling kdrive
- enabled kdrive support. this enable the compilation of the following servers:
    * x11-server-xati
    * x11-server-xchips
    * x11-server-xephyr
    * x11-server-xepson
    * x11-server-xfake
    * x11-server-xfbdev
    * x11-server-xi810
    * x11-server-xmach64
    * x11-server-xmga
    * x11-server-xneomagic
    * x11-server-xnvidia
    * x11-server-xpm2
    * x11-server-xr128
    * x11-server-xsdl
    * x11-server-xsmi
    * x11-server-xvesa
    * x11-server-xvia
- rebuild to fix cooker uploading
- X11R7.1
- KDrive is not building fine, so it is disabled for now. It will be re-enabled
  as soon as I get it to compile.
- 6mdk
- Moved README.compiled out of compiled dir
- Added /etc/security/console.apps/xserver
  (Thanks Laurent for the report)
- Added version to the XFree86 provide
- Add packager tag
- Add missing XFree86 provide tag to x11-server-common
- added missing buildrequires
- disabling some obsoletes/provides for now to test another update strategy
- increment release
- Adding X.org 7.0 to the repository

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix too long descriptions
    - fix build on x86_64

  + Frederic Crozat <fcrozat@mandriva.com>
    - Patch6 : don't change drm device permission unless asked (patch from libdrm)

  + Christiaan Welvaart <spturtle@mandriva.org>
    - fix filelist for archs where kdrive vesa and derived servers are not built
    - Added dependency on x11-server-common to all server packages,
      added some dependencies to x11-server-common so the servers
      can find the fixed and cursor fonts

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

  + Laurent Montel <lmontel@mandriva.com>
    - Fix conflict

  + Pixel <pixel@mandriva.com>
    - named colors are transformed by the X server, so ensure rgb.txt is there by requiring it in x11-server-xorg

